import DocumentType from '../nodes/basic/document-type/DocumentType';
import Document from '../nodes/basic/document/Document';
import Window from '../window/Window';
/**
 * The DOMImplementation interface represents an object providing methods which are not dependent on any particular document. Such an object is returned by the
 */
export default class DOMImplementation {
    private _window;
    /**
     * Constructor.
     *
     * @param window Window.
     */
    constructor(window: Window);
    /**
     * Creates and returns an HTML Document.
     */
    createHTMLDocument(): Document;
    /**
     * Creates and returns an HTML Document.
     *
     * @param qualifiedName Qualified name.
     * @param publicId Public ID.
     * @param systemId System ID.
     */
    createDocumentType(qualifiedName: string, publicId: string, systemId: string): DocumentType;
}
