"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var DocumentType_1 = __importDefault(require("../nodes/basic/document-type/DocumentType"));
var Document_1 = __importDefault(require("../nodes/basic/document/Document"));
/**
 * The DOMImplementation interface represents an object providing methods which are not dependent on any particular document. Such an object is returned by the
 */
var DOMImplementation = /** @class */ (function () {
    /**
     * Constructor.
     *
     * @param window Window.
     */
    function DOMImplementation(window) {
        this._window = window;
    }
    /**
     * Creates and returns an HTML Document.
     */
    DOMImplementation.prototype.createHTMLDocument = function () {
        return new Document_1.default(this._window);
    };
    /**
     * Creates and returns an HTML Document.
     *
     * @param qualifiedName Qualified name.
     * @param publicId Public ID.
     * @param systemId System ID.
     */
    DOMImplementation.prototype.createDocumentType = function (qualifiedName, publicId, systemId) {
        DocumentType_1.default.ownerDocument = this._window.document;
        var documentType = new DocumentType_1.default();
        documentType.name = qualifiedName;
        documentType.publicId = publicId;
        documentType.systemId = systemId;
        return documentType;
    };
    return DOMImplementation;
}());
exports.default = DOMImplementation;
//# sourceMappingURL=DOMImplementation.js.map