import DocumentFragment from '../document-fragment/DocumentFragment';
import Node from '../node/Node';
/**
 * ShadowRoot.
 */
export default class ShadowRoot extends DocumentFragment {
    mode: string;
    /**
     * Returns inner HTML.
     *
     * @return HTML.
     */
    get innerHTML(): string;
    /**
     * Sets inner HTML.
     *
     * @param html HTML.
     */
    set innerHTML(html: string);
    /**
     * Converts to string.
     *
     * @return String.
     */
    toString(): string;
    /**
     * Clones a node.
     *
     * @override
     * @param [deep=false] "true" to clone deep.
     * @return Cloned node.
     */
    cloneNode(deep?: boolean): Node;
}
